Package org.silverpeas.components.kmelia.servlets.renderers

# Class RenderingContext

java.lang.Object
org.silverpeas.components.kmelia.servlets.renderers.RenderingContext

public class RenderingContext extends Object
Context of a web page rendering.

Author:
  mmoquillon

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RenderingContext(KmeliaSessionController kmeliaSC, org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `displayPublications()`
  `org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory`
  `getGraphicElementFactory()`
  `String`
  `getLastAuthor(KmeliaPublication publication)`
  Gets the last user authoring the specified publication.
  `List<KmeliaPublication>`
  `getPublications()`
  `String`
  `getPublicationToHighlight()`
  `org.silverpeas.core.util.MultiSilverpeasBundle`
  `getResources()`
  `String`
  `getRole()`
  `List<org.silverpeas.core.contribution.publication.model.PublicationPK>`
  `getSelectedPublications()`
  `KmeliaSessionController`
  `getSessionController()`
  `boolean`
  `isAttachmentToLink()`
  `boolean`
  `isLinksAllowed()`
  `boolean`
  `isSearchInProgress()`
  `boolean`
  `isSeeAlso()`
  `boolean`
  `isSortAllowed()`
  `boolean`
  `isToLink()`
  `RenderingContext`
  `setAttachmentToLink(boolean attachmentToLink)`
  `RenderingContext`
  `setLinksAllowed(boolean linksAllowed)`
  `RenderingContext`
  `setPublications(List<KmeliaPublication> publicationDetails)`
  `RenderingContext`
  `setPublicationToHighlight(String pubToHighlight)`
  `RenderingContext`
  `setRole(String role)`
  `RenderingContext`
  `setSearchInProgress(boolean searchInProgress)`
  `RenderingContext`
  `setSeeAlso(boolean seeAlso)`
  `RenderingContext`
  `setSelectedPublications(List<org.silverpeas.core.contribution.publication.model.PublicationPK> selectedPublications)`
  `RenderingContext`
  `setSortAllowed(boolean sortAllowed)`
  `RenderingContext`
  `setToLink(boolean toLink)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RenderingContext

    public RenderingContext(KmeliaSessionController kmeliaSC, org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory gef)

- ## Method Details

  - ### isSortAllowed

    public boolean isSortAllowed()

  - ### setSortAllowed

    public RenderingContext setSortAllowed(boolean sortAllowed)

  - ### isLinksAllowed

    public boolean isLinksAllowed()

  - ### setLinksAllowed

    public RenderingContext setLinksAllowed(boolean linksAllowed)

  - ### isSeeAlso

    public boolean isSeeAlso()

  - ### setSeeAlso

    public RenderingContext setSeeAlso(boolean seeAlso)

  - ### isSearchInProgress

    public boolean isSearchInProgress()

  - ### setSearchInProgress

    public RenderingContext setSearchInProgress(boolean searchInProgress)

  - ### getPublications

    public List<KmeliaPublication> getPublications()

  - ### setPublications

    public RenderingContext setPublications(List<KmeliaPublication> publicationDetails)

  - ### displayPublications

    public boolean displayPublications()

  - ### getSessionController

    public KmeliaSessionController getSessionController()

  - ### getRole

    public String getRole()

  - ### setRole

    public RenderingContext setRole(String role)

  - ### getSelectedPublications

    public List<org.silverpeas.core.contribution.publication.model.PublicationPK> getSelectedPublications()

  - ### setSelectedPublications

    public RenderingContext setSelectedPublications(List<org.silverpeas.core.contribution.publication.model.PublicationPK> selectedPublications)

  - ### getResources

    public org.silverpeas.core.util.MultiSilverpeasBundle getResources()

  - ### getGraphicElementFactory

    public org.silverpeas.core.web.util.viewgenerator.html.GraphicElementFactory getGraphicElementFactory()

  - ### isToLink

    public boolean isToLink()

  - ### setToLink

    public RenderingContext setToLink(boolean toLink)

  - ### isAttachmentToLink

    public boolean isAttachmentToLink()

  - ### setAttachmentToLink

    public RenderingContext setAttachmentToLink(boolean attachmentToLink)

  - ### getPublicationToHighlight

    public String getPublicationToHighlight()

  - ### setPublicationToHighlight

    public RenderingContext setPublicationToHighlight(String pubToHighlight)

  - ### getLastAuthor

    public String getLastAuthor(KmeliaPublication publication)
    Gets the last user authoring the specified publication.
    Parameters:
      `publication` - a publication.
    Returns:
      the name of the last publication author.